org.apache.ignite.internal.processors.platform.datastructures

## Class PlatformAtomicReference

- java.lang.Object
- - org.apache.ignite.internal.processors.platform.PlatformAbstractTarget
  - - org.apache.ignite.internal.processors.platform.datastructures.PlatformAtomicReference

All Implemented Interfaces:
  PlatformTarget

    public class PlatformAtomicReference
    extends PlatformAbstractTarget

Platform atomic reference wrapper.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`ERROR, FALSE, log, platformCtx, TRUE`

### Method Summary

Methods
`static PlatformAtomicReference` `createInstance(PlatformContext ctx, String name, long memPtr, boolean create)` Creates an instance or returns null.
`long` `processInLongOutLong(int type, long val)` Process IN operation.
`long` `processInStreamOutLong(int type, BinaryRawReaderEx reader)` Process IN operation.
`void` `processInStreamOutStream(int type, BinaryRawReaderEx reader, BinaryRawWriterEx writer)` Process IN-OUT operation.
`void` `processOutStream(int type, BinaryRawWriterEx writer)` Process OUT operation.

### Methods inherited from class org.apache.ignite.internal.processors.platform.PlatformAbstractTarget

`convertException, platformContext, processInObjectStreamOutObjectStream, processInStreamAsync, processInStreamOutLong, processInStreamOutObject, processOutObject, readAndListenFuture, readAndListenFuture, readAndListenFuture, readAndListenFuture, wrapListenable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createInstance

    public static PlatformAtomicReference createInstance(PlatformContext ctx,
                                         String name,
                                         long memPtr,
                                         boolean create)

Creates an instance or returns null.

Parameters:
  `ctx` - Context.
  `name` - Name.
  `memPtr` - Pointer to a stream with initial value. 0 for default value.
  `create` - Create flag.
Returns:
  Instance of a PlatformAtomicReference, or null when Ignite reference with specific name is null.

#### processOutStream

    public void processOutStream(int type,
                        BinaryRawWriterEx writer)
                          throws IgniteCheckedException

Process OUT operation.

Specified by:
  `processOutStream` in interface `PlatformTarget`
Overrides:
  `processOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutLong

    public long processInStreamOutLong(int type,
                              BinaryRawReaderEx reader)
                                throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInStreamOutLong` in interface `PlatformTarget`
Overrides:
  `processInStreamOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInStreamOutStream

    public void processInStreamOutStream(int type,
                                BinaryRawReaderEx reader,
                                BinaryRawWriterEx writer)
                                  throws IgniteCheckedException

Process IN-OUT operation.

Specified by:
  `processInStreamOutStream` in interface `PlatformTarget`
Overrides:
  `processInStreamOutStream` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `reader` - Binary reader.
  `writer` - Binary writer.
Throws:
  `IgniteCheckedException` - In case of exception.

#### processInLongOutLong

    public long processInLongOutLong(int type,
                            long val)
                              throws IgniteCheckedException

Process IN operation.

Specified by:
  `processInLongOutLong` in interface `PlatformTarget`
Overrides:
  `processInLongOutLong` in class `PlatformAbstractTarget`
Parameters:
  `type` - Type.
  `val` - Value.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of exception.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017